Subject: Re: [PATCH] kernel: bpf: remove dead code

From: Daniel Borkmann <[email-masked]>
Date: Mon, 22 May 2017 19:00:14 +0200

On 05/22/2017 06:27 PM, David Miller wrote:
[...]
> Ok I understand the issue now.  Thanks for explaining.
>
> I guess a hard-coded value of 2 and an adjusted comment above the
> assignment of ip_align is the way to go.
>
> I'll push the following, thanks everyone:
>
> ====================
> net: Make IP alignment calulations clearer.
>
> The assignmnet:
>
> 	ip_align = strict ? 2 : NET_IP_ALIGN;
>
> in compare_pkt_ptr_alignment() trips up Coverity because we can only
> get to this code when strict is true, therefore ip_align will always
> be 2 regardless of NET_IP_ALIGN's value.
>
> So just assign directly to '2' and explain the situation in the
> comment above.
>
> Reported-by: "Gustavo A. R. Silva" <[email-masked]>
> Signed-off-by: David S. Miller <[email-masked]>

Yeah, that's fine, thanks!

Acked-by: Daniel Borkmann <[email-masked]>